<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <body>
        <referenceBlock name="head.additional">
            <block class="Magento\Catalog\Block\Product\View"
                name="wtai.meta.pid"
                template="WriteTextAI_WriteTextAI::product/view/meta_wtai_pid.phtml"
                before="-"
            >
                <arguments>
                    <argument name="custom_open_graph"
                        xsi:type="helper"
                        helper="WriteTextAI\WriteTextAI\Helper\Data::getCustomOpenGraph"
                    />
                </arguments>
            </block>
        </referenceBlock>
    </body>
</page> 